VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Attributes | List of all members
ModifierEvent Struct Reference
New classes » Version 4.11

ModifierEvent. More...

`#include <events.h>`

Inheritance diagram for ModifierEvent:

## Public Attributes
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed?

## Additional Inherited Members
Public Member Functions inherited from Event
| Event () noexcept
| Event (const Event &)=delete
Event & | operator= (const Event &)=delete
| Event (Event &&)=default
Event & | operator= (Event &&)=default

## Detailed Description

ModifierEvent.

## Member Data Documentation

## ◆ modifiers

Modifiers modifiers {}

pressed modifiers

The documentation for this struct was generated from the following file:

- events.h